Getting started with Angular Splitter component

4 Mar 20267 minutes to read

This section explains the steps required to create Syncfusion’s Angular Splitter component. The Splitter enables splittable layouts by placing a separator between two panes. You can dynamically adjust the size of the panes based on the separator’s position.

To get started quickly with Angular Splitter using CLI and Schematics, check out this video:

Getting Started with Angular CLI

Follow these steps to create and configure a basic Angular CLI application.

Setup Angular Environment

You can use Angular CLI to setup your Angular applications.
To install Angular CLI use the following command.

npm install -g @angular/cli

Angular 21 Standalone Architecture: Standalone components are the default in Angular 21. This guide uses the modern standalone architecture. If you need more information about the standalone architecture, refer to the Standalone Guide.

Installing a specific version

To install a particular version of Angular CLI, use:

npm install -g @angular/[email protected]

Create a new application

With Angular CLI installed, execute this command to generate a new application:

ng new syncfusion-angular-app
  • This command will prompt you to configure settings like enabling Angular routing and choosing a stylesheet format.
? Which stylesheet format would you like to use? (Use arrow keys)
> CSS             [ https://developer.mozilla.org/docs/Web/CSS                     ]
  Sass (SCSS)     [ https://sass-lang.com/documentation/syntax#scss                ]
  Sass (Indented) [ https://sass-lang.com/documentation/syntax#the-indented-syntax ]
  Less            [ http://lesscss.org                                             ]
  • By default, a CSS-based application is created. Use SCSS if required:
ng new syncfusion-angular-app --style=scss
  • During project setup, when prompted for the Server-side rendering (SSR) option, choose the appropriate configuration.

Initial_setup

  • Select the required AI tool or ‘none’ if you do not need any AI tool.

Initial_setup

  • Navigate to your newly created application directory:
cd syncfusion-angular-app

Note: In Angular 19 and below, it uses app.component.ts, app.component.html, app.component.css etc. In Angular 20+, the CLI generates a simpler structure with src/app/app.ts, app.html, and app.css (no .component. suffixes).

Installing Syncfusion® Splitter package

Syncfusion® packages are distributed via npm as @syncfusion scoped packages. You can find all Angular Syncfusion® packages here.

Syncfusion® provides two package formats for Angular components:

  1. Ivy library distribution package format
  2. Angular compatibility compiler(Angular’s legacy compilation and rendering pipeline) package.

Ivy library distribution package

Syncfusion® Angular packages(>=20.2.36) has been moved to the Ivy distribution to support the Angular Ivy rendering engine and the package are compatible with Angular version 12 and above. To download the package use the below command.

Add @syncfusion/ej2-angular-layouts package to the application.

npm install @syncfusion/ej2-angular-layouts --save

Angular compatibility compiled package(ngcc)

For Angular version below 12, you can use the legacy (ngcc) package of the Syncfusion® Angular components. To download the ngcc package use the below.

Add @syncfusion/ej2-angular-layouts@ngcc package to the application.

npm install @syncfusion/ej2-angular-layouts@ngcc --save

To mention the ngcc package in the package.json file, add the suffix -ngcc with the package version as below.

@syncfusion/ej2-angular-layouts:"20.2.38-ngcc"

Note: If the ngcc tag is not specified while installing the package, the Ivy Library Package will be installed and this package will throw a warning.

Adding Splitter module

After installing the layouts package, import the required module in your application. Syncfusion® Angular packages offer multiple NgModule options.

Refer to the following snippet to import the SplitterModule in app.module.ts from the @syncfusion/ej2-angular-layouts.

import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
// Imported syncfusion SplitterModule from layouts package
import { SplitterModule } from '@syncfusion/ej2-angular-layouts';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    // Registering EJ2 Splitter Module
    SplitterModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }

Adding Splitter component

Add the Splitter component snippet in app.component.ts as follows.

import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  template: `
    <div id='container'>
      <ejs-splitter #horizontal height='110px' width='100%' >
          <e-panes>
            <e-pane></e-pane>
            <e-pane></e-pane>
          </e-panes>
      </ejs-splitter>
    </div>`
})
export class AppComponent {
    constructor() {
    }
}

Add the following styles in styles.css:

#container {
  margin: 50px auto;
}

Adding CSS reference

The following CSS files are available in ../node_modules/@syncfusion package folder. This can be referenced in [src/styles.css] using following code.

      @import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
      @import '../node_modules/@syncfusion/ej2-icons/styles/material3.css';
      @import '../node_modules/@syncfusion/ej2-buttons/styles/material3.css';
      @import '../node_modules/@syncfusion/ej2-angular-layouts/styles/material3.css';

The Custom Resource Generator (CRG) is an online web tool, which can be used to generate the custom script and styles for a set of specific components.
This web tool is useful to combine the required component scripts and styles in a single file.

Load content to the pane

You can load the pane content using either HTML element or string values via the content property.

For detailed information, refer to the Pane Content section.

Running the application

Run the ng serve command in command window, it will serve your application and you can open the browser window. Output will appear as follows.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import { SplitterModule } from '@syncfusion/ej2-angular-layouts'




import { Component } from '@angular/core';

@Component({
imports: [
         FormsModule, SplitterModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
    <div id='container'>
          <ejs-splitter #horizontal height='250px' width='600px'>
            <e-panes>
                <e-pane></e-pane>
                <e-pane></e-pane>
                <e-pane></e-pane>
            </e-panes>
          </ejs-splitter>
    </div>`
})
export class AppComponent {
    constructor() {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

See Also

Getting started with React Splitter

22 Jul 20266 minutes to read

The following section explains the steps required to build the Splitter component with a step-by-step procedure.

Dependencies

The following dependencies are required to use the Splitter component in the application:

|-- @syncfusion/ej2-layouts
    |-- @syncfusion/ej2-base
|-- @syncfusion/ej2-react-layouts
    |-- @syncfusion/ej2-react-base

Prerequisites

System requirements for Syncfusion® React UI components

Set up the Vite project

To create a new Vite project, use one of the commands that are specific to either NPM or Yarn.

npm create vite@latest my-project -- --template react
yarn create vite my-project --template react

After running the command, you will be prompted with a series of interactive questions to configure your project. Select the appropriate options for each prompt:

  1. Select a linter to use: Choose the linter for your project (for example, ESLint).
  2. Install with npm and start now?: Type Yes to proceed with installing the dependencies and automatically start the development server, or No to install dependencies manually later.

Navigate into the project directory with:

cd my-project

Add Syncfusion® React packages

Syncfusion® React component packages are available at npmjs.com. To use Syncfusion® React components in the project, install the corresponding npm package.

To install the React component package, use the following command:

npm install @syncfusion/ej2-react-layouts
yarn add @syncfusion/ej2-react-layouts

Import Syncfusion® CSS styles

Themes for Syncfusion® React components can be applied using CSS or SASS files from the npm theme packages, CDN, CRG, or Theme Studio. For more information, see the themes documentation.

This guide uses the Tailwind 3 theme as an example, sourced from the theme package. In this package, each component includes an index.css file that automatically loads all the required dependency styles. To install the Tailwind 3 theme package, use the following command:

npm install @syncfusion/ej2-tailwind3-theme
yarn add @syncfusion/ej2-tailwind3-theme

By default, Vite projects include a src/index.css file with default styles. These default styles may conflict with Syncfusion component styles. Clear all content from the src/index.css file to prevent style conflicts.

The required styles for the Splitter component are imported in the src/App.css file:

@import "@syncfusion/ej2-tailwind3-theme/styles/splitter/index.css";

You can also refer to the combined CSS file for all Syncfusion components in your application. For more information, see the documentation on referring themes through npm packages.

Add the Splitter component

Now, you can add the React Splitter component to your src/App.jsx file by importing and defining it within your application. Initialize the Splitter using the <SplitterComponent> directive with <PanesDirective> and <PaneDirective> children. Use the following code:

import { PaneDirective, PanesDirective, SplitterComponent } from '@syncfusion/ej2-react-layouts';
import './App.css';

function App() {
    return (
        // specifies the tag for rendering the Splitter component
        <div className="App">
          <SplitterComponent id="splitter" height="250px" width="600px">
            <PanesDirective>
              <PaneDirective />
              <PaneDirective />
              <PaneDirective />
            </PanesDirective>
          </SplitterComponent>
      </div>
    );
}

export default App;

Run the application

Run the npm run dev command in the terminal to start the development server. This command compiles your code and serves the application locally, opening it in the browser.

npm run dev

The output will appear as follows:

import { PaneDirective, PanesDirective, SplitterComponent } from '@syncfusion/ej2-react-layouts';
import * as React from "react";
function App() {
    return (<div className="App">
      <SplitterComponent id="splitter" height="250px" width="600px">
        <PanesDirective>
          <PaneDirective />
          <PaneDirective />
          <PaneDirective />
        </PanesDirective>
      </SplitterComponent>
    </div>);
}
export default App;
import { PaneDirective, PanesDirective, SplitterComponent } from '@syncfusion/ej2-react-layouts';
import * as React from "react";

function App() {
  return (
    <div className="App">
      <SplitterComponent id="splitter" height="250px" width="600px">
        <PanesDirective>
          <PaneDirective/>
          <PaneDirective/>
          <PaneDirective/>
        </PanesDirective>
      </SplitterComponent>
    </div>
  );
}

export default App;

Refer to the React Splitter feature tour page for its groundbreaking feature representations. You can also explore our React Splitter component example that shows how to render the Splitter in React.

Syncfusion AI Assistant

How can I help you?

Getting Started with the Vue Splitter Component in Vue 2

5 Mar 20266 minutes to read

This article provides a step-by-step guide for setting up a Vue 2 project using Vue-CLI and integrating the Syncfusion® Vue Splitter component.

To get start quickly with Vue Splitter component, you can check on this video:

Prerequisites

System requirements for Syncfusion® Vue UI components

Dependencies

The following list of dependencies required to use the Splitter component in your application:

|-- @syncfusion/ej2-layouts
    |-- @syncfusion/ej2-base
|-- @syncfusion/ej2-vue-layouts
    |-- @syncfusion/ej2-vue-base

Setting up the Vue 2 project

To generate a Vue 2 project using Vue-CLI, use the vue create command. Follow these steps to install Vue CLI and create a new project:

npm install -g @vue/cli
vue create quickstart
cd quickstart
npm run serve

or

yarn global add @vue/cli
vue create quickstart
cd quickstart
yarn run serve

When creating a new project, choose the option Default ([Vue 2] babel, eslint) from the menu.

Vue 2 project

Once the quickstart project is set up with default settings, proceed to add Syncfusion® components to the project.

Add Syncfusion® Vue packages

Syncfusion® packages are available at npmjs.com. To use Vue components, install the required npm package.

This article uses the Vue Splitter component as an example. Install the @syncfusion/ej2-vue-layouts package by running the following command:

npm install @syncfusion/ej2-vue-layouts --save

or

yarn add @syncfusion/ej2-vue-layouts

Import Syncfusion® CSS styles

You can import themes for the Syncfusion® Vue component in various ways, such as using CSS or SASS styles from npm packages, CDN, CRG and Theme Studio. Refer to themes topic to know more about built-in themes and different ways to refer to themes in a Vue project.

In this article, the Material3 theme is applied using CSS styles, which are available in installed packages. The necessary Material3 CSS styles for the Splitter component and its dependents were imported into the <style> section of src/App.vue file.

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
@import '../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css';
</style>

Add Syncfusion® Vue component

Follow the below steps to add the Vue Splitter component using:

1. First, import and register the Splitter component in the script section of the src/App.vue file.

<script>
import { SplitterComponent, PanesDirective, PaneDirective } from '@syncfusion/ej2-vue-layouts';

export default {
  components: {
    'ejs-splitter': SplitterComponent,
    'e-pane': PaneDirective,
    'e-panes': PanesDirective
  }
}
</script>

2. In the template section, define the Splitter component with the height property.

<template>
<div id="app" class="col-lg-12 control-section default-splitter">
    <ejs-splitter id='default-splitter' height='250px'>
        <e-panes>
            <e-pane></e-pane>
            <e-pane></e-pane>
        </e-panes>
    </ejs-splitter>
</div>
</template>

Load content to the pane

You can load the pane contents in either HTML element or string types using content property.

For detailed information, refer to the Pane Content section

<template>
<div id="app" class="col-lg-12 control-section default-splitter">
    <ejs-splitter id='default-splitter' height='250px'>
        <e-panes>
            <e-pane content='Left Pane'></e-pane>
            <e-pane content='Middle Pane'></e-pane>
            <e-pane content='Right Pane'></e-pane>
        </e-panes>
    </ejs-splitter>
</div>
</template>
<script>
import { SplitterComponent, PanesDirective, PaneDirective } from '@syncfusion/ej2-vue-layouts';
export default {
  components: {
    'ejs-splitter': SplitterComponent,
    'e-pane': PaneDirective,
    'e-panes': PanesDirective
  },
  name: 'app',
    data () {
    return { }
  }
}
</script>

Here is the summarized code for the above steps in the src/App.vue file:

<template>
  <div id="app" class="col-lg-12 control-section default-splitter">
    <ejs-splitter id='default-splitter' height='250px'>
      <e-panes>
        <e-pane content='Left Pane'></e-pane>
        <e-pane content='Middle Pane'></e-pane>
        <e-pane content='Right Pane'></e-pane>
      </e-panes>
    </ejs-splitter>
  </div>
</template>
<script>
import { SplitterComponent, PanesDirective, PaneDirective } from '@syncfusion/ej2-vue-layouts';

export default {
  name: "App",
  components: {
    'ejs-splitter': SplitterComponent,
    'e-pane': PaneDirective,
    'e-panes': PanesDirective
  },
  data() {
    return {}
  }
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
@import '../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css';

#app {
  margin: 60px auto;
  max-width: 700px;
}

.e-splitter {
  margin: 0 auto;
}

.e-pane {
  text-align: center;
  align-items: center;
  display: grid;
}
</style>

Run the project

To run the project, use the following command:

npm run serve

or

yarn run serve

See Also